Langevin C++ source

Loading...
Searching...
No Matches
wrapper_dplvn.cpp File Reference

Pybind11 wrapper between C++ and Python for SimDP application class. More...

`#include <pybind11/numpy.h>`
`#include <pybind11/stl.h>`
`#include "sim_dplangevin.hpp"`

Go to the source code of this file.

## Functions
| PYBIND11_MODULE (dplvn, module)

## Detailed Description

Pybind11 wrapper between C++ and Python for SimDP application class.

Definition in file wrapper_dplvn.cpp.

## Function Documentation

## ◆ PYBIND11_MODULE()

PYBIND11_MODULE | ( | dplvn | ,
|  | module | )

Pybind11 wrapper between C++ and Python for SimDP application.

Binder exposing the dplvn module to Python, enabling instantiation of the SimDP class, and exchange of model parameters and simulation data results. This class exploits the DPLangevin integrator, which itself is a subclass of the more general BaseLangevin integration scheme.

This macro expands the parameter "dplvn" into pybind11_exec_dplvn and generates the function pybind11_init_dplvn among others.

Parameters

  dplvn | Name of to-be-created Python module.
  module | A pybind11::module_ object.

Definition at line 26 of file wrapper_dplvn.cpp.